/**************************************************************

konve.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef KONVE_H
#define KONVE_H

#define PROGNAME "konve"
		// Program name
#define OUTFILE "kout????.fts"
        // Default output file mask
#define SMPFILE "konve.sam"
        // Sample parameter file
#define OPTFILE "konve.ini"
		// Default include file

#define FITSSIZE   2880     /* size of the FITS data bufer */
#define STSIZE     3060     /* size of the ST-xx data bufer = 2*1530 */
#define HEADSIZE   2048     /* length of the head ST-xx file */
#define MAXTYPE      12     /* number of the known file types */
#define MAXFORMAT    10

typedef int konv_testproc(FILE *file);
typedef int konv_openproc(void **handle, const char *filename);
typedef int konv_closeproc(void *handle);
typedef int konv_getsproc(void *handle, const char *key, char *buf, int buflen);
typedef int konv_getlproc(void *handle, const char *key, long *val);
typedef int konv_getdproc(void *handle, const char *key, double *val);
typedef int konv_gkynproc(void *handle, int index, char *key, int keylen, char *val, int vallen, char *com, int comlen);
typedef int konv_g2ddproc(void *handle, double *buf, int flipx, int flipy);
typedef int konv_convhdrproc(void *handle, fitsfile *fits);
	// Converts header from file to FITS file
typedef int konv_convimgproc(void *handle, fitsfile *fits, int flipx, int flipy);
	// Converts image data from file to FITS file

#endif
