/**************************************************************

oesfile.h (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef OESFILE_H
#define OESFILE_H

#define H_MAG1_OWN 0x012AEE94L
#define H_MAG2_OWN 0x012F3462L
#define H_MAG1_INV 0x94EE2A01L
#define H_MAG2_INV 0x62342F01L

typedef void oesfile;

int oesopen(oesfile **oes, const char *filename);
     // Opens a file and reads the header but not the image data
void oesclos(oesfile *oes);
     // Frees allocated memory in stfile
int oesghpr(oesfile *oes, int *nx, int *ny);
     // Returns the size of the image in pixels
int oesgexp(oesfile *oes, double *exp);
     // Returns the exposure duration in seconds
int oesgtem(oesfile *oes, double *temp);
     // Returns temperature
int oesg2dd(oesfile *oes, int flipx, int flipy, double saturate, double *buf);
     // Copies the image data into the given buffer (array of floats)
int oesgdat(oesfile *oes, int *yr, int *mon, int *day, int *hr, int *min, int *sec);
	 // Reads date and time
int oesgkyj(oesfile *oes, int nkey, long *value);
     // Returns value from the header as long
int oesgkyd(oesfile *oes, int nkey, double *value);
     // Returns value from the header as double
int oesgkys(oesfile *oes, int nkey, char *buf, int buflen);
     // Returns value from the header as string
int oesgkyn(oesfile *oes, int nkey, char *keyname, char *keyval, char *comm);
     // Sequential read of parameters

#endif
