/**************************************************************

matwrite.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#define _NO_OLDNAMES

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "comfun.h"
#include "match.h"
#include "matfun.h"

int MatWrite(const char *outfile)
// Generates output file 
{
	FILE *fout; 
	int i, j, j0; 
	char   msg[MAXLINE];

    sprintf(msg,"Output file                      : %s", outfile);
    PrintOut(0, msg);
    
    // Open output file 
    fout = fopen(outfile,"w");
    if (!fout) 
    	return MPK_CANNOT_OPEN_OUT;
    
	// Header - copy header from source file, append offsets
	fprintf(fout,"%s  OFFSETX  OFFSETY\n%s %8.2f %8.2f\n\n", mmatch_line1, mmatch_line2, mmatch_offx, mmatch_offy);
	
	// For all stars in the reference file
    for (i=0; i<mmatch_c1; i++) {
        // Find the nearest star in the source file
        j0 = -1;
        for (j=0; j<mmatch_c2; j++) {
	        if (mmatch_id[j]==i) {
		        j0 = j;
		        break;
	        }
        }
        if (j0>=0) {
	        // Found
	        fprintf(fout,"%s%s\n", mmatch_l1[j0], mmatch_l2[j0]);
        } else {
	        // Not found 
	        fprintf(fout,"\n\n\n");
        }      
    }
    
    // Close output file
    fclose(fout);
    return 0; 
}	
