/**************************************************************

phwrite.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <time.h>

#include "comfun.h"
#include "robmean.h"
#include "phot.h"
#include "phfun.h"
#include "phwrite.h"

int SrtWrite(const char *outfile)
// Writes the photometry file
{
	FILE *fout;
	StarType *st;
	int i;

	fout = fopen(outfile,"w");
	if (!fout) return MPK_CANNOT_OPEN_OUT;

	fprintf(fout," NL   NX   NY  LOWBAD HIGHBAD  THRESH     AP1  PH/ADU  RNOISE              JD           FILTER    EXPTIME    FWHM\n");
	fprintf(fout," %2d %4d %4d %7.1f %7.1f %7.2f %7.2f %7.2f %7.2f %15.6f %16s %10.2f %7.2f\n",
	      2,ph_image.ncol,ph_image.nrow,ph_minvalue,ph_maxvalue,ph_image.thres,ph_aper[0],ph_image.phpadu,ph_image.readns,
	      ph_image.jd,ph_image.filter,ph_image.exptime,ph_image.fwhm_med);
	fprintf(fout,"\n");
	FirstStar();
	while (NextStar(&st)) {
	  fprintf(fout," %5d %8.3f %8.3f",st->i,st->xcen-1,st->ycen-1);
      for (i=0;i<ph_naper;i++) fprintf(fout," %8.4f",st->apmag[i]);
      fprintf(fout,"\n");
      fprintf(fout,"     %8.3f %5.2f %5.2f %7.4f",st->skymod, fmin(99.99,st->skysig),
             fmin(999.99, fmax(-99.99,st->skyskw)),st->magerr[0]);
      for (i=1;i<ph_naper;i++) fprintf(fout," %8.4f",st->magerr[i]);
      fprintf(fout,"\n\n");
	}
	/* Normal return */
    fclose(fout);
	return 0;
}
